Bug 850502 - [abrt] gdb-7.4.50.20120120-49.fc17: elf_get_probes: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.4.50.20120120-49.fc17: elf_get_probes: Process /usr/bin/gdb was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:2739874ccabe723b03bfdf7dfe6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 12:54 EDT by Rafael Kümmel
Modified: 2013-07-31 21:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:02:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.62 KB, text/plain)
2012-08-21 12:54 EDT, Rafael Kümmel
no flags Details
File: maps (14.56 KB, text/plain)
2012-08-21 12:54 EDT, Rafael Kümmel
no flags Details

  None (edit)
Description Rafael Kümmel 2012-08-21 12:54:38 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gdb -i=mi main
crash_function: elf_get_probes
executable:     /usr/bin/gdb
kernel:         3.5.1-1.fc17.x86_64
pid:            1349
pwd:            /home/rafael.kummel
remote_result:  NOTFOUND
time:           Tue 21 Aug 2012 12:23:56 PM BRT
uid:            1000
username:       rafael.kummel

backtrace:      Text file, 23162 bytes
maps:           Text file, 14910 bytes

build_ids:
:d8167f71e1e2d0ac457d9237f4695816ec2456d0
:45e0014c86f9c5707b728cec9485c036cf17aed7
:6086bff484a49cc8b80cb714d7e83a6391394800
:9f64df5552bcacac80071bad9f04fda17a7aef7b
:7024c532984148e2b555c6194ff684a6d0e80d78
:89cd8941caefea2289e6398227d79f6ca7d7bf95
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:554cdc509ec30eb9a822bc8facc7975b7238d609
:a6923dae74c6d816333bb75b529b39a7c19c70ea
:668d886c5fa722e799da78ea4c872903aba4556a
:9c416df34aef78b429bb43617c68f6d76c29ec6b
:e39eabcb2094dd49bba5251f69fce572b2bd7011
:f4c064df8745dff15466d705fb049138f9a5c949
:6668de624a10d486a3484d5b4921f87b1e77d36c
:1c355c9b9f293df8889ffc1ac6c4edfaadc45494
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:88426ee2dde057368a4d4787e70fdeb65ff479cc
:67792c148d2b8f13f6732c9367e926c26d7376c5
:6e2537ccbd5fafa7671f182cbd0b30c46c59bd49
:c4ec0971b2dcee71aaf8374975474054245fea00
:822e9b3523e8312240f41a25722d539bc77ed436
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:9e6594e38d36f94f5e02c90731970f1c72396147
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37
:929d271f51370434d6e9f63b74694fb424470462
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:da0831cf9c551543fbc94e797a102a57a30e790f
:2461255e418218ccbd562a2524cd4b86a5e96cbe
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:691a4486437315a889bfeb473018f05b1b76824a
:b742376ab5d07a6912f08a4c70978b52a72e7824
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:9ec2f366de6494fb16b1d743cb62892f4b74a808
:d74c5facc600e702f7e69f50ecea66c97b2bed77
:2a7fcdc2e60548f67df3280017b846d9e054b9d4
:c04e591ba5fff2694e134125ec6cf7c28c579cb4

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/rafael.kummel/129

core_backtrace:
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xdc6c9 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x24e326 find_probes_in_objfile [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x10c2a2 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x111d72 breakpoint_re_set [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x14b177 clear_symtab_users [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x224276 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170728 throw_exception [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1707e0 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170be6 throw_verror [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x224934 error [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x14b83e reread_symbols [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x15814d - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22286a execute_command [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xb5110 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xb51bd - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x171777 interp_exec [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xbaa2b mi_cmd_interpreter_exec [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0xbe0d5 mi_execute_command [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x177cd6 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x17847f gdb_do_one_event [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x178605 start_event_loop [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x171db3 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170ebe catch_errors [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x172976 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170ebe catch_errors [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1735b4 gdb_main [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x5121e main [exe] -

dso_list:
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.3-7.2.fc17.x86_64 (Fedora Project) 1344208009
:/usr/lib64/libplc4.so nspr-4.9.1-2.fc17.x86_64 (Fedora Project) 1342753536
:/usr/lib64/libattr.so.1.1.0 libattr-2.4.46-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libpopt.so.0.0.0 popt-1.13-10.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.11-3.fc17.x86_64 (Fedora Project) 1342478450
:/usr/lib64/libcap.so.2.22 libcap-2.22-2.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libreadline.so.6.2 readline-6.2-4.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libnss3.so nss-3.13.5-1.fc17.x86_64 (Fedora Project) 1342753544
:/usr/lib64/libm-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/libnssutil3.so nss-util-3.13.5-1.fc17.x86_64 (Fedora Project) 1342753537
:/usr/lib64/libncurses.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-4.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libnss_files-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/libfreebl3.so nss-softokn-freebl-3.13.5-1.fc17.x86_64 (Fedora Project) 1342753542
:/usr/lib64/libpthread-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/libutil-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/librpmio.so.2.0.1 rpm-libs-4.9.1.3-7.fc17.x86_64 (Fedora Project) 1342478609
:/usr/lib64/libc-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/libdb-5.2.so libdb-5.2.36-5.fc17.x86_64 (Fedora Project) 1337719200
:/usr/lib64/libdl-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libplds4.so nspr-4.9.1-2.fc17.x86_64 (Fedora Project) 1342753536
:/usr/lib64/liblua-5.1.so lua-5.1.4-10.fc17.x86_64 (Fedora Project) 1337719200
:/usr/lib64/libelf-0.154.so elfutils-libelf-0.154-2.fc17.x86_64 (Fedora Project) 1344654448
:/usr/lib/locale/locale-archive glibc-common-2.15-56.fc17.x86_64 (Fedora Project) 1345347657
:/usr/lib64/liblzma.so.5.0.99 xz-libs-5.1.1-2alpha.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libsoftokn3.so nss-softokn-3.13.5-1.fc17.x86_64 (Fedora Project) 1342753543
:/usr/lib64/libnspr4.so nspr-4.9.1-2.fc17.x86_64 (Fedora Project) 1342753536
:/usr/lib64/libacl.so.1.1.0 libacl-2.2.51-5.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/librpm.so.2.0.3 rpm-libs-4.9.1.3-7.fc17.x86_64 (Fedora Project) 1342478609
:/usr/lib64/librt-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/ld-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345347643
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.3-7.2.fc17.x86_64 (Fedora Project) 1344208009
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/bin/gdb gdb-7.4.50.20120120-49.fc17.x86_64 (Fedora Project) 1342478502

environ:
:PWD=/home/rafael.kummel
:DISPLAY=:0.0
:TERM=dumb
:TERMCAP=
:COLUMNS=71
:EMACS=t
:INSIDE_EMACS=24.1.1,comint
:GIO_LAUNCHED_DESKTOP_FILE_PID=1329
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/emacs.desktop
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GJS_DEBUG_OUTPUT=stderr
:GPG_AGENT_INFO=/run/user/rafael.kummel/keyring-8ytlV5/gpg:0:1
:SSH_AUTH_SOCK=/run/user/rafael.kummel/keyring-8ytlV5/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/30820,unix/unix:/tmp/.ICE-unix/30820
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:_=/usr/bin/gnome-session
:XAUTHORITY=/var/run/gdm/auth-for-rafael.kummel-NTEFG9/database
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XDG_RUNTIME_DIR=/run/user/rafael.kummel
:WINDOWPATH=2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nDfkBpG7on,guid=70dd93342bde0315acf8833c0006796b
:QTLIB=/usr/lib64/qt-3.3/lib
:LOGNAME=rafael.kummel
:SHLVL=1
:HOME=/home/rafael.kummel
:XDG_SEAT=seat0
:HISTCONTROL=ignoredups
:GDMSESSION=gnome
:KDEDIRS=/usr
:GDM_LANG=en_US.utf8
:LANG=en_US.utf8
:GNOME_KEYRING_PID=30818
:KDE_IS_PRELINKED=1
:XMODIFIERS=@im=none
:QT_IM_MODULE=xim
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/rafael.kummel/.local/bin:/home/rafael.kummel/bin
:MAIL=/var/spool/mail/rafael.kummel
:USER=rafael.kummel
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:QTINC=/usr/lib64/qt-3.3/include
:GNOME_KEYRING_CONTROL=/run/user/rafael.kummel/keyring-8ytlV5
:QTDIR=/usr/lib64/qt-3.3
:HISTSIZE=1000
:SHELL=/bin/bash
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:HOSTNAME=kummel
:XDG_SESSION_ID=129
:XDG_VTNR=2

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8720000              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29842                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29842                29842                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:pos:	0
:flags:	0100002
:1:/dev/pts/1
:pos:	0
:flags:	0100002
:2:/dev/pts/1
:pos:	0
:flags:	0100002
:3:socket:[6605331]
:pos:	0
:flags:	02
:4:socket:[6605332]
:pos:	0
:flags:	02
:5:/home/rafael.kummel/main
:pos:	4096
:flags:	02100000

var_log_messages:
:Aug 20 21:55:16 kummel kernel: [422446.773069] gdb[28978]: segfault at c000a0036 ip 00000000005a59de sp 00007fffdf1c8370 error 4 in gdb[400000+4c2000]
:Aug 20 21:55:17 kummel abrt[29363]: Saved core dump of pid 28978 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-08-20-21:55:16-28978 (7479296 bytes)
:Aug 21 12:23:56 kummel kernel: [474566.425435] gdb[1349]: segfault at d88 ip 00000000004dc6c9 sp 00007fff79e33140 error 4 in gdb[400000+4c2000]
:Aug 21 12:23:56 kummel abrt[9635]: Saved core dump of pid 1349 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-08-21-12:23:56-1349 (6873088 bytes)
Comment 1 Rafael Kümmel 2012-08-21 12:54:43 EDT
Created attachment 605985 [details]
File: backtrace
Comment 2 Rafael Kümmel 2012-08-21 12:54:45 EDT
Created attachment 605986 [details]
File: maps
Comment 3 Sergio Durigan Junior 2012-08-24 22:54:05 EDT
I could not replicate the issue.  According to frame #1, the segmentation fault occurred when trying to find the probe "longjmp" on glibc.  Frame #0 also tells that the problem is in this line of elfread:

2735       if (! elf_tdata (obfd)->sdt_note_head)

I will have to investigate more, but as far as I have seen it is not possible for obfd->tdata.elf_obj_data to be NULL.

Rafael, is it possible for you to provide a few more info on this bug?  From the report you were using some GUI to debug a program.  Is it possible for you to say what GUI were you using and what program were you debugging?  Thanks.
Comment 4 Fedora End Of Life 2013-07-03 18:51:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:02:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.